org.apache.lucene.queryparser.xml

## Class ParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.queryparser.xml.ParserException

- All Implemented Interfaces:
    Serializable

      public class ParserException
      extends Exception

  Thrown when the xml queryparser encounters invalid syntax/configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserException()`
    `ParserException(String message)`
    `ParserException(String message, Throwable cause)`
    `ParserException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserException

          public ParserException()

    - #### ParserException

          public ParserException(String message)

    - #### ParserException

          public ParserException(String message,
                         Throwable cause)

    - #### ParserException

          public ParserException(Throwable cause)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.